package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 系统日志对象 t_system_log
 *
 * @author hxhq
 * @date 2026-02-02
 */
@TableName("t_system_log")
public class SystemLog extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 操作对象的名称编号 */
    private String name;

    /** 操作对象的名称编号-英文 */
    private String nameEn;

    /** 操作类型 */
    private String jcmc;

    /** 操作类型-英文 */
    private String jcmcEn;

    /** 操作内容 */
    private String jcnr;

    /** 操作内容-英文 */
    private String jcnrEn;

    /** 操作人id */
    private Long qmrId;

    /** 操作人名称 */
    @Excel(name = "操作人",nameEn = "User",sort = 1)
    private String qmrMc;

    /** 操作人名称-英文 */
    private String qmrMcEn;


    /** 操作类型 */
    @TableField(exist = false)
    @Excel(name = "操作类型",nameEn = "Action",sort = 2)
    private String czlx;

    /** 操作详情 */
    @TableField(exist = false)
    @Excel(name = "操作详情",nameEn = "Detail",sort = 3)
    private String czxq;

    /** 操作时间 */
    @TableField(exist = false)
    @Excel(name = "操作时间",nameEn = "Datetime",sort = 4)
    private String czsj;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public void setJcmcEn(String jcmcEn)
    {
        this.jcmcEn = jcmcEn;
    }

    public String getJcmcEn()
    {
        return jcmcEn;
    }

    public void setJcnr(String jcnr)
    {
        this.jcnr = jcnr;
    }

    public String getJcnr()
    {
        return jcnr;
    }

    public void setJcnrEn(String jcnrEn)
    {
        this.jcnrEn = jcnrEn;
    }

    public String getJcnrEn()
    {
        return jcnrEn;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

    public void setQmrMcEn(String qmrMcEn)
    {
        this.qmrMcEn = qmrMcEn;
    }

    public String getQmrMcEn()
    {
        return qmrMcEn;
    }

    public String getCzlx() {
        return czlx;
    }

    public void setCzlx(String czlx) {
        this.czlx = czlx;
    }

    public String getCzxq() {
        return czxq;
    }

    public void setCzxq(String czxq) {
        this.czxq = czxq;
    }

    public String getCzsj() {
        return czsj;
    }

    public void setCzsj(String czsj) {
        this.czsj = czsj;
    }
}
